Debian Bug report logs - #593138
ruby1.9.1: FTBFS on sparc: test suite hangs

version graph

Package: src:ruby1.9.1; Maintainer for src:ruby1.9.1 is Antonio Terceiro <terceiro@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 15 Aug 2010 18:51:02 UTC

Severity: serious

Tags: squeeze-ignore

Found in version ruby1.9.1/1.9.2~svn28788-1

Fixed in version ruby1.9.1/1.9.3.0-2

Done: Lucas Nussbaum <lucas@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-sparc@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593138; Package src:ruby1.9.1. (Sun, 15 Aug 2010 18:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to debian-sparc@lists.debian.org, akira yamada <akira@debian.org>. (Sun, 15 Aug 2010 18:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: ruby1.9.1: FTBFS on sparc: test suite hangs
Date: Sun, 15 Aug 2010 20:36:28 +0200
Source: ruby1.9.1
Version: 1.9.2~svn28788-1
Severity: serious

Ruby's test suite (make test-all) hangs on sparc. I had to do a manual
upload after disabling the test suite.

There's an history of sparc problems with ruby 1.9.*. See #545345 and
#565765.

Since it works fine on amd64, armel, i386, mips, mipsel, powerpc and
s390, I believe this is an architecture-specific problem. Ruby's test
suite is known to exercise threads in interesting ways.
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593138; Package src:ruby1.9.1. (Sun, 15 Aug 2010 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sun, 15 Aug 2010 20:00:06 GMT) Full text and rfc822 format available.

Message #10 received at 593138@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 593138@bugs.debian.org
Cc: debian-sparc@lists.debian.org
Subject: Re: Bug#593138: ruby1.9.1: FTBFS on sparc: test suite hangs
Date: Sun, 15 Aug 2010 19:57:42 +0000
[Message part 1 (text/plain, inline)]
On Sun, Aug 15, 2010 at 08:36:28PM +0200, Lucas Nussbaum wrote:
> Ruby's test suite (make test-all) hangs on sparc. I had to do a manual
> upload after disabling the test suite.

Could you provide us with a log of the failing build?  buildd.debian.org
doesn't have one, and it would be helpful to know exactly where the
problem occurred.  I'll run a test build on my Ultra 5, but it's not
SMP, so it may not trigger the bug.  I'll report back.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593138; Package src:ruby1.9.1. (Sun, 15 Aug 2010 20:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sun, 15 Aug 2010 20:09:06 GMT) Full text and rfc822 format available.

Message #15 received at 593138@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 593138@bugs.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#593138: ruby1.9.1: FTBFS on sparc: test suite hangs
Date: Sun, 15 Aug 2010 22:05:08 +0200
On 15/08/10 at 19:57 +0000, brian m. carlson wrote:
> On Sun, Aug 15, 2010 at 08:36:28PM +0200, Lucas Nussbaum wrote:
> > Ruby's test suite (make test-all) hangs on sparc. I had to do a manual
> > upload after disabling the test suite.
> 
> Could you provide us with a log of the failing build?  buildd.debian.org
> doesn't have one, and it would be helpful to know exactly where the
> problem occurred.  I'll run a test build on my Ultra 5, but it's not
> SMP, so it may not trigger the bug.  I'll report back.

Sorry, I didn't keep it, but it was reproducible on sperger.d.o.

Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593138; Package src:ruby1.9.1. (Thu, 19 Aug 2010 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Thu, 19 Aug 2010 05:33:03 GMT) Full text and rfc822 format available.

Message #20 received at 593138@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 593138@bugs.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#593138: ruby1.9.1: FTBFS on sparc: test suite hangs
Date: Thu, 19 Aug 2010 05:30:27 +0000
[Message part 1 (text/plain, inline)]
On Sun, Aug 15, 2010 at 10:05:08PM +0200, Lucas Nussbaum wrote:
> On 15/08/10 at 19:57 +0000, brian m. carlson wrote:
> > On Sun, Aug 15, 2010 at 08:36:28PM +0200, Lucas Nussbaum wrote:
> > > Ruby's test suite (make test-all) hangs on sparc. I had to do a manual
> > > upload after disabling the test suite.
> > 
> > Could you provide us with a log of the failing build?  buildd.debian.org
> > doesn't have one, and it would be helpful to know exactly where the
> > problem occurred.  I'll run a test build on my Ultra 5, but it's not
> > SMP, so it may not trigger the bug.  I'll report back.
> 
> Sorry, I didn't keep it, but it was reproducible on sperger.d.o.

Unfortunately, since I'm not a DD, I don't have access to the Debian
buildds or porter boxes.  I did a test build on my Ultra 5 and got a
segfault, but no hang.  I'll investigate the segfault and determine
whether or not it's related; in any case, the code shouldn't segfault.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593138; Package src:ruby1.9.1. (Sun, 22 Aug 2010 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sun, 22 Aug 2010 18:51:03 GMT) Full text and rfc822 format available.

Message #25 received at 593138@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 593138@bugs.debian.org, debian-sparc@lists.debian.org
Subject: Re: Bug#593138: ruby1.9.1: FTBFS on sparc: test suite hangs
Date: Sun, 22 Aug 2010 19:47:45 +0100
On Thu, Aug 19, 2010 at 05:30:27AM +0000, brian m. carlson wrote:
> On Sun, Aug 15, 2010 at 10:05:08PM +0200, Lucas Nussbaum wrote:
> > On 15/08/10 at 19:57 +0000, brian m. carlson wrote:
> > > On Sun, Aug 15, 2010 at 08:36:28PM +0200, Lucas Nussbaum wrote:
> > > > Ruby's test suite (make test-all) hangs on sparc. I had to do a manual
> > > > upload after disabling the test suite.
> > > 
> > > Could you provide us with a log of the failing build?  buildd.debian.org
> > > doesn't have one, and it would be helpful to know exactly where the
> > > problem occurred.  I'll run a test build on my Ultra 5, but it's not
> > > SMP, so it may not trigger the bug.  I'll report back.
> > 
> > Sorry, I didn't keep it, but it was reproducible on sperger.d.o.
> 
> Unfortunately, since I'm not a DD, I don't have access to the Debian
> buildds or porter boxes.  I did a test build on my Ultra 5 and got a
> segfault, but no hang.  I'll investigate the segfault and determine
> whether or not it's related; in any case, the code shouldn't segfault.

It turns out that I can reproduce either a hang or a crash while 
running tests on my box (2-CPU Sunblade 1000). I tried building a few 
times and hangs/crashes occur while running fiber tests from 
test_fiber.rb. After I've forced printing the names of the tests and 
timing information, here's what I get:

Script started on Sun 22 Aug 2010 19:40:08 IST
jurij@debian:~/tmp/ruby1.9.1-1.9.2~svn28788$ ./miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb  ./tool/runruby.rb --extout=.ext  -- "./test/ruby/test 
_fiber.rb"
Loaded suite ./test/ruby/test_fiber
Started
TestFiber#test_alive: 0.00 s: .
TestFiber#test_argument: 0.00 s: .
TestFiber#test_error: 0.01 s: .
TestFiber#test_fiber_transfer_segv: 0.06 s: F
TestFiber#test_many_fibers: 1.02 s: .
TestFiber#test_many_fibers_with_threads: 7.71 s: .
TestFiber#test_normal: 0.00 s: .
TestFiber#test_resume_self: ./test/ruby/test_fiber.rb:179: [BUG] Segmentation fault
ruby 1.9.2dev (2010-07-30) [sparc-linux]

-- control frame ----------
c:0004 p:---- s:0008 b:0008 l:000007 d:000007 CFUNC  :resume
c:0003 p:0011 s:0005 b:0005 l:0000d0 d:000004 BLOCK  ./test/ruby/test_fiber.rb:179
c:0002 p:---- s:0003 b:0003 l:000002 d:000002 FINISH
c:0001 p:---- s:0001 b:-001 l:000000 d:000000 ------
---------------------------
-- Ruby level backtrace information ----------------------------------------
./test/ruby/test_fiber.rb:179:in `block in test_resume_self'
./test/ruby/test_fiber.rb:179:in `resume'

-- C level backtrace information -------------------------------------------
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x64924) [0xf7e08924]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_bug+0x38) [0xf7e089d8]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x10a93c) [0xf7eae93c]
/lib/ultra3/libpthread.so.0(+0x11158) [0xf7d89158]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_fiber_resume+0x23c) [0xf7f1d93c]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x15c1c8) [0xf7f001c8]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x16a184) [0xf7f0e184]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x161ef0) [0xf7f05ef0]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(+0x167bd8) [0xf7f0bbd8]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_vm_invoke_proc+0x2ac) [0xf7f0dc8c]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(rb_fiber_start+0x144) [0xf7f1dde4]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(ruby_cleanup+0x2d4) [0xf7e0d994]
/home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/libruby-1.9.1.so.1.9.1(ruby_run_node+0x24) [0xf7e0da44]
./ruby1.9.1(main+0x54) [0x10834]
/lib/ultra3/libc.so.6(__libc_start_main+0x10c) [0xf7abc54c]
./ruby1.9.1(_start+0x2c) [0x106ac]

[NOTE]
You may have encountered a bug in the Ruby interpreter or extension libraries.
Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

Aborted
jurij@debian:~/tmp/ruby1.9.1-1.9.2~svn28788$ exit

Script done on Sun 22 Aug 2010 19:40:23 IST


The fact that backtrace includes /lib/ultra3/libpthread.so.0 might 
indicate that the bug is Ultrasparc-III specific, which would explain 
why it's not reproducible on your box.

I'll try to dig a little bit further to get a simpler test case.

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#593138; Package src:ruby1.9.1. (Sat, 28 Aug 2010 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Sat, 28 Aug 2010 19:03:05 GMT) Full text and rfc822 format available.

Message #30 received at 593138@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 593138@bugs.debian.org
Subject: gdb stack traces
Date: Sat, 28 Aug 2010 19:59:51 +0100
Hi,

I've got a nice gdb stack trace:

(gdb) run
Starting program: /home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/miniruby -I./lib -I.ext/common -I./- -r./ext/purelib.rb ./tool/runruby.rb --extout=.ext -- ./test/ruby/test_fiber.rb
[Thread debugging using libthread_db enabled]
[New Thread 0xf7ac5b70 (LWP 967)]
[Thread 0xf7ac5b70 (LWP 967) exited]
process 964 is executing new program: /home/jurij/tmp/ruby1.9.1-1.9.2~svn28788/ruby1.9.1
[Thread debugging using libthread_db enabled]
[New Thread 0xf78d9b70 (LWP 968)]
Loaded suite ./test/ruby/test_fiber
Started
created fiber
Program received signal SIGSEGV, Segmentation fault.
rb_threadptr_execute_interrupts_rec (th=0x0, sched_depth=0) at thread.c:1261
1261	    if (th->raised_flag) return;
(gdb) bt
#0  rb_threadptr_execute_interrupts_rec (th=0x0, sched_depth=0) at thread.c:1261
#1  0xf7f55944 in fiber_switch (fibval=2131728, argc=0, argv=0x210f70) at cont.c:977
#2  rb_fiber_resume (fibval=2131728, argc=0, argv=0x210f70) at cont.c:998
#3  0xf7f381d0 in call_cfunc (func=0xf7f55960 <rb_fiber_m_resume>, recv=2131728, len=-1, argc=0, argv=0x210f70) at vm_insnhelper.c:314
#4  0xf7f4618c in vm_call_cfunc (th=0x232f0, cfp=0x214ed4, num=0, blockptr=<value optimized out>, flag=0, id=9896, me=0xbafa0, recv=2131728)
    at vm_insnhelper.c:401
#5  vm_call_method (th=0x232f0, cfp=0x214ed4, num=0, blockptr=<value optimized out>, flag=0, id=9896, me=0xbafa0, recv=2131728) at vm_insnhelper.c:523
#6  0xf7f3def8 in vm_exec_core (th=0x232f0, initial=<value optimized out>) at insns.def:1006
#7  0xf7f43be0 in vm_exec (th=0x232f0) at vm.c:1145
#8  0xf7f45c94 in invoke_block_from_c (th=0x232f0, proc=0x210c58, self=2131800, argc=0, argv=0xffffd39c, blockptr=0x0) at vm.c:557
#9  rb_vm_invoke_proc (th=0x232f0, proc=0x210c58, self=2131800, argc=0, argv=0xffffd39c, blockptr=0x0) at vm.c:603
#10 0xf7f55dec in rb_fiber_start () at cont.c:857
#11 0xf7e4599c in ruby_cleanup (ex=0) at eval.c:154
#12 0xf7e45a4c in ruby_run_node (n=0x3ecb8) at eval.c:254
#13 0x0001083c in main (argc=3, argv=0xffffd664) at main.c:35
(gdb) info thread
  3 Thread 0xf78d9b70 (LWP 968)  0xf7dbc1e4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/ultra3/libpthread.so.0
* 1 Thread 0xf7fee6d0 (LWP 964)  rb_threadptr_execute_interrupts_rec (th=0x0, sched_depth=0) at thread.c:1261
(gdb) thread 3
[Switching to thread 3 (Thread 0xf78d9b70 (LWP 968))]#0  0xf7dbc1e4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/ultra3/libpthread.so.0
(gdb) bt
#0  0xf7dbc1e4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/ultra3/libpthread.so.0
#1  0xf7f51318 in native_cond_timedwait (dummy=0x0) at thread_pthread.c:127
#2  thread_timer (dummy=0x0) at thread_pthread.c:777
#3  0xf7db6458 in start_thread () from /lib/ultra3/libpthread.so.0
#4  0xf7bc135c in ?? () from /lib/ultra3/libc.so.6
#5  0xf7bc135c in ?? () from /lib/ultra3/libc.so.6
Backtrace stopped: previous frame identical to this frame (corrupt stack?)
(gdb) quit

In this example the test_fiber.rb script has been reduced to:

----8<-----
require 'test/unit'
require 'fiber'
require 'continuation'

class TestFiber < Test::Unit::TestCase
  def test_resume_self
    f = Fiber.new {f.resume}
    print "created fiber"
    assert_raise(FiberError, '[ruby-core:23651]') {f.transfer}
  end
end
----8<-----

Thread 3 is ruby timer thread started during initialization of the 
interpreter, while the other thread is executing the test. 

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Added tag(s) squeeze-ignore. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Sun, 05 Dec 2010 15:03:14 GMT) Full text and rfc822 format available.

Reply sent to Lucas Nussbaum <lucas@debian.org>:
You have taken responsibility. (Mon, 19 Dec 2011 21:22:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 19 Dec 2011 21:22:18 GMT) Full text and rfc822 format available.

Message #37 received at 593138-close@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 593138-close@bugs.debian.org
Subject: Bug#593138: fixed in ruby1.9.1 1.9.3.0-2
Date: Mon, 19 Dec 2011 21:17:35 +0000
Source: ruby1.9.1
Source-Version: 1.9.3.0-2

We believe that the bug you reported is fixed in the latest version of
ruby1.9.1, which is due to be installed in the Debian FTP archive:

libruby1.9.1-dbg_1.9.3.0-2_amd64.deb
  to main/r/ruby1.9.1/libruby1.9.1-dbg_1.9.3.0-2_amd64.deb
libruby1.9.1_1.9.3.0-2_amd64.deb
  to main/r/ruby1.9.1/libruby1.9.1_1.9.3.0-2_amd64.deb
libtcltk-ruby1.9.1_1.9.3.0-2_amd64.deb
  to main/r/ruby1.9.1/libtcltk-ruby1.9.1_1.9.3.0-2_amd64.deb
ri1.9.1_1.9.3.0-2_all.deb
  to main/r/ruby1.9.1/ri1.9.1_1.9.3.0-2_all.deb
ruby1.9.1-dev_1.9.3.0-2_amd64.deb
  to main/r/ruby1.9.1/ruby1.9.1-dev_1.9.3.0-2_amd64.deb
ruby1.9.1-examples_1.9.3.0-2_all.deb
  to main/r/ruby1.9.1/ruby1.9.1-examples_1.9.3.0-2_all.deb
ruby1.9.1-full_1.9.3.0-2_all.deb
  to main/r/ruby1.9.1/ruby1.9.1-full_1.9.3.0-2_all.deb
ruby1.9.1_1.9.3.0-2.debian.tar.gz
  to main/r/ruby1.9.1/ruby1.9.1_1.9.3.0-2.debian.tar.gz
ruby1.9.1_1.9.3.0-2.dsc
  to main/r/ruby1.9.1/ruby1.9.1_1.9.3.0-2.dsc
ruby1.9.1_1.9.3.0-2_amd64.deb
  to main/r/ruby1.9.1/ruby1.9.1_1.9.3.0-2_amd64.deb
ruby1.9.3_1.9.3.0-2_all.deb
  to main/r/ruby1.9.1/ruby1.9.3_1.9.3.0-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 593138@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lucas Nussbaum <lucas@debian.org> (supplier of updated ruby1.9.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 19 Dec 2011 21:33:37 +0100
Source: ruby1.9.1
Binary: ruby1.9.1 libruby1.9.1 libruby1.9.1-dbg ruby1.9.1-dev libtcltk-ruby1.9.1 ruby1.9.1-examples ri1.9.1 ruby1.9.1-full ruby1.9.3
Architecture: source all amd64
Version: 1.9.3.0-2
Distribution: unstable
Urgency: low
Maintainer: akira yamada <akira@debian.org>
Changed-By: Lucas Nussbaum <lucas@debian.org>
Description: 
 libruby1.9.1 - Libraries necessary to run Ruby 1.9.1
 libruby1.9.1-dbg - Debugging symbols for Ruby 1.9.1
 libtcltk-ruby1.9.1 - Tcl/Tk interface for Ruby 1.9.1
 ri1.9.1    - Ruby Interactive reference (for Ruby 1.9.1)
 ruby1.9.1  - Interpreter of object-oriented scripting language Ruby
 ruby1.9.1-dev - Header files for compiling extension modules for the Ruby 1.9.1
 ruby1.9.1-examples - Examples for Ruby 1.9
 ruby1.9.1-full - Ruby 1.9.1 full installation
 ruby1.9.3  - Interpreter of object-oriented scripting language Ruby, version 1
Closes: 545345 593138
Changes: 
 ruby1.9.1 (1.9.3.0-2) unstable; urgency=low
 .
   * gcc's #635126 requiring -fno-tree-sra has been fixed.
     Disable workaround in that package.
   * add sparc-continuations.diff: fixes segfault during test suite on sparc.
     Closes: #593138, #545345. Many thanks to Jurij Smakov.
Checksums-Sha1: 
 7ffa486944f4aed37e2e5e4408757c37178e6ced 2530 ruby1.9.1_1.9.3.0-2.dsc
 a4f7a6f39293ab37d7c13a2219168240b7407e77 48036 ruby1.9.1_1.9.3.0-2.debian.tar.gz
 f2ae301dfb777abe09d9d32c13e8fe899f7c70b6 214280 ruby1.9.1-examples_1.9.3.0-2_all.deb
 638bdf25f6a0701d2c1178ac0156949cc95b5d0e 2146464 ri1.9.1_1.9.3.0-2_all.deb
 ce31cb6ee8ec03d3f3452b05d3c4bd3bff16c110 152280 ruby1.9.1-full_1.9.3.0-2_all.deb
 fcca1040100fdc9fedd1669f871c0188ac308b88 152880 ruby1.9.3_1.9.3.0-2_all.deb
 9ec743035e0a2927ad5db969f97626ac816b0431 189146 ruby1.9.1_1.9.3.0-2_amd64.deb
 84f93c877a944308e913b4ccdc61f80101116fb6 4252878 libruby1.9.1_1.9.3.0-2_amd64.deb
 282dd1474932bfb72b6c9aa60838d9f83d4484e2 3504488 libruby1.9.1-dbg_1.9.3.0-2_amd64.deb
 2afa2e869f8ef63e691e990fc116720e1def52f6 1354970 ruby1.9.1-dev_1.9.3.0-2_amd64.deb
 d5417c0f544c996c1e736f0111d74f0557edd70d 1941734 libtcltk-ruby1.9.1_1.9.3.0-2_amd64.deb
Checksums-Sha256: 
 a201d3c3773c1d158b42811870a3bb2e0d1a42ed89cd50680194f6987b7729a4 2530 ruby1.9.1_1.9.3.0-2.dsc
 dad0512a113aca3c07a0a8420bd407e05136995680afe833691f5e99e8cc90ae 48036 ruby1.9.1_1.9.3.0-2.debian.tar.gz
 5e5348eb9b3e66e6da2df3245fedfa618a3418d044ef468e0421274d55ab1993 214280 ruby1.9.1-examples_1.9.3.0-2_all.deb
 93fa693d06659816b321ec2c1dea992e42dd981aac0a8cfc0a20250f7653bd83 2146464 ri1.9.1_1.9.3.0-2_all.deb
 ed749d25892132d813763587b80e047bb550482bb431bb9d52bd158c0c87e47b 152280 ruby1.9.1-full_1.9.3.0-2_all.deb
 4febb82f8b187103305043a6037504d27ddcfa52a0259ee3b631edcab2bc76a8 152880 ruby1.9.3_1.9.3.0-2_all.deb
 ff64721d82fb965239ca7bff6dbb35c91823d71d6372728f17defb1d8f8b5e15 189146 ruby1.9.1_1.9.3.0-2_amd64.deb
 d702246ac833a82267e991f2bbe4b1c1eb231d781eaafcc02287faa27dae6e0a 4252878 libruby1.9.1_1.9.3.0-2_amd64.deb
 3506027e1558287656cb1347ac7c1d1f255dd781ab872363102dfb0206f6896d 3504488 libruby1.9.1-dbg_1.9.3.0-2_amd64.deb
 b1f4c447e31348aef4fd4ef399ad107375ae3708707c39a21e055e1122f832d8 1354970 ruby1.9.1-dev_1.9.3.0-2_amd64.deb
 37e5b656b68fe62503a5ec1b6dd138ceceab6f9ec03094ea0f55edd9b5e43cfa 1941734 libtcltk-ruby1.9.1_1.9.3.0-2_amd64.deb
Files: 
 740afda4f14b00ed128f784145b35a3d 2530 ruby optional ruby1.9.1_1.9.3.0-2.dsc
 c16b6dc1b6177bb64fc3e17a6ae878da 48036 ruby optional ruby1.9.1_1.9.3.0-2.debian.tar.gz
 f7a009f5fed911cab2b12e8e3f698272 214280 ruby optional ruby1.9.1-examples_1.9.3.0-2_all.deb
 f235c15d37d2ed4194c4cc11a983de2c 2146464 ruby optional ri1.9.1_1.9.3.0-2_all.deb
 08a0f676d5eba866d5c680a821a1dc79 152280 ruby optional ruby1.9.1-full_1.9.3.0-2_all.deb
 0db2490a5c0e1abc450ae575f962e900 152880 ruby optional ruby1.9.3_1.9.3.0-2_all.deb
 8ec9f762dfbce9b0e51fbd7865d5f5c9 189146 ruby optional ruby1.9.1_1.9.3.0-2_amd64.deb
 504ff885405a2e3d725dc5b382c8880a 4252878 libs optional libruby1.9.1_1.9.3.0-2_amd64.deb
 3670564ccaed1f3a03e79447b2b065e5 3504488 debug extra libruby1.9.1-dbg_1.9.3.0-2_amd64.deb
 c4dacedd07f652c36a30e442258ba3d4 1354970 ruby optional ruby1.9.1-dev_1.9.3.0-2_amd64.deb
 00778bb33582520283c05ccf35ff2650 1941734 ruby optional libtcltk-ruby1.9.1_1.9.3.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTu+k2zkUtTL0376ZAQpRTA//REqZ6+m7kyP1guDdFL3ESj9p3kQbh2Pu
4sY0E2PYrnjlrLh994CHOcm9KH1hd2RvfqBfZP0XcE7/nLpYH7fWPnqa1WGPEZoa
QAxX2aGUJmI5V+IccJZj8E4W44xZ7A1mAqowsUPvlHREOnV2H74av+hgWii2ph0J
otkCWVE21uvqb1RsCeVN9w5lgyCOsHUolvVq5FWjlEdCj79YZ+OFU7SHMuDd/e+I
7y5HAkXdyeqWXtJ8K9R5hnDBsZ/W0i70P2cCMg5onyG11lTClQegSHlkG6nE9Qdm
91B+C7eU4h8NyOuGg3EULQp4Htp7qhlOvs0vhcB82xtk2isZ9Rg0s8mC509uslfP
S6xXse1BC4WhhbgcmUB66+LqD6WYFeufD8XmpPP6XEkU7iPLuyF0ZCNFKd0xGOaq
a2GzcuGY0Ora1M8OWZoBfxuPvNMBRMebmV8H8NdYvE+b50uZvRRH7NeeluHpJA8h
9aSSrhdyr9Y2EE+Mc8Ro3ubgB/D2WEvme0FFyvU1GvtFL5GR+DFePSBiqXTBwQ1a
fauvfi46SmnAsxBlHsZkzycJGjH7Kmc2Al+Zm7ssyWyA20hlwYiR1l5DlmnYniR7
Fh+VXgXD5yV/7T7DpllIGJNHkHzWIniEDRGBnYz5bt+au5kDbapsugdSD8xRal+T
UBAd2ObZ6sg=
=3NB4
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:52:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:52:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.